/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import type { InfraSources } from './sources';

type IInfraSources = Pick<InfraSources, keyof InfraSources>;

export const createInfraSourcesMock = (): jest.Mocked<IInfraSources> => ({
  getInfraSourceConfiguration: jest.fn(),
  getSourceConfiguration: jest.fn(),
  createSourceConfiguration: jest.fn(),
  deleteSourceConfiguration: jest.fn(),
  updateSourceConfiguration: jest.fn(),
});
